Bug 626916 - SELinux is preventing /usr/bin/ksysguardd "read" access on mdstat.
SELinux is preventing /usr/bin/ksysguardd "read" access on mdstat.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
14
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:5153fa5bc9b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 13:15 EDT by Carl G.
Modified: 2010-09-01 02:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.8.8-20.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 02:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl G. 2010-08-24 13:15:19 EDT
Summary:

SELinux is preventing /usr/bin/ksysguardd "read" access on mdstat.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by ksysguardd. It is not expected that this
access is required by ksysguardd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                staff_u:staff_r:staff_execmem_t:s0
Target Context                system_u:object_r:proc_mdstat_t:s0
Target Objects                mdstat [ file ]
Source                        ksysguardd
Source Path                   /usr/bin/ksysguardd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ksysguardd-4.5.0-2.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.8.8-14.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.2-9.fc14.x86_64 #1 SMP Tue
                              Aug 17 22:36:15 UTC 2010 x86_64 x86_64
Alert Count                   6
First Seen                    Tue 24 Aug 2010 01:01:10 PM EDT
Last Seen                     Tue 24 Aug 2010 01:05:03 PM EDT
Local ID                      73ad9fc3-5c69-41e3-b431-141addfdec77
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1282669503.183:56): avc:  denied  { read } for  pid=3443 comm="ksysguardd" name="mdstat" dev=proc ino=4026531963 scontext=staff_u:staff_r:staff_execmem_t:s0 tcontext=system_u:object_r:proc_mdstat_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1282669503.183:56): avc:  denied  { open } for  pid=3443 comm="ksysguardd" name="mdstat" dev=proc ino=4026531963 scontext=staff_u:staff_r:staff_execmem_t:s0 tcontext=system_u:object_r:proc_mdstat_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1282669503.183:56): arch=c000003e syscall=2 success=yes exit=4 a0=41f40e a1=0 a2=19fcf10 a3=10 items=0 ppid=3437 pid=3443 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4 comm="ksysguardd" exe="/usr/bin/ksysguardd" subj=staff_u:staff_r:staff_execmem_t:s0 key=(null)



Hash String generated from  catchall,ksysguardd,staff_execmem_t,proc_mdstat_t,file,read
audit2allow suggests:

#============= staff_execmem_t ==============
allow staff_execmem_t proc_mdstat_t:file { read open };
Comment 1 Daniel Walsh 2010-08-24 23:02:55 EDT
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.8.8-21.fc14
Comment 2 Fedora Update System 2010-08-24 23:12:23 EDT
selinux-policy-3.8.8-20.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 3 Fedora Update System 2010-08-25 09:31:48 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 4 Fedora Update System 2010-08-26 14:38:10 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.8.8-20.fc14
Comment 5 Fedora Update System 2010-09-01 02:02:29 EDT
selinux-policy-3.8.8-20.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.